/// <reference types="react" />
declare type State = {
    inputs: Array<string>;
    cursorOffset: number;
    activeInputIndex: number;
};
declare type InputDescriptor = {
    placeholder?: string;
    label?: string;
    initialValue?: string;
    validationError?: string | null;
    onChange: (newInput?: string) => void;
};
export declare const Form: ({ inputs: inputDescriptors, onExit, onSubmit, }: {
    inputs: Array<InputDescriptor>;
    onExit: () => void;
    onSubmit: (state: State) => void;
}) => JSX.Element;
export declare const Input: ({ placeholder, active, value, validationError, onChange, cursorOffset, label, }: {
    placeholder?: string | undefined;
    active?: boolean | undefined;
    value?: string | undefined;
    initialValue?: string | undefined;
    onChange: (newInput?: string | undefined) => void;
    cursorOffset: number;
    validationError?: string | null | undefined;
    label?: string | undefined;
}) => JSX.Element;
export {};
