"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Monitor = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const ink_1 = require("ink");
const colors_1 = require("./colors");
const searchColor = colors_1.getSearchColor();
const replaceColor = colors_1.getReplaceColor();
const Monitor = ({ files, searchRegexp, replace, }) => {
    const maxMonitorHeight = process.stdout.rows - 5;
    const totalFiles = files.length;
    if (totalFiles === 0) {
        return (jsx_runtime_1.jsx(jsx_runtime_1.Fragment, { children: jsx_runtime_1.jsx(ink_1.Text, Object.assign({ dimColor: true, color: "yellow" }, { children: "no matched files for pattern" }), void 0) }, void 0));
    }
    if (!searchRegexp) {
        return (jsx_runtime_1.jsxs(jsx_runtime_1.Fragment, { children: [jsx_runtime_1.jsxs(ink_1.Text, Object.assign({ dimColor: true, color: "yellow" }, { children: [0, " / ", totalFiles] }), void 0),
                files
                    .map((filePath) => {
                    return jsx_runtime_1.jsx(ink_1.Text, { children: filePath }, filePath);
                })
                    .slice(0, maxMonitorHeight)] }, void 0));
    }
    const matches = [];
    for (const filePath of files) {
        const result = searchRegexp.exec(filePath);
        if (result) {
            const match = result[0];
            const matchStartIndex = result.index;
            matches.push({ filePath, match, matchStartIndex });
        }
    }
    return (jsx_runtime_1.jsxs(jsx_runtime_1.Fragment, { children: [jsx_runtime_1.jsxs(ink_1.Text, Object.assign({ dimColor: true, color: "yellow" }, { children: [matches.length, " / ", totalFiles] }), void 0),
            matches
                .map(({ filePath, match, matchStartIndex }) => {
                return (jsx_runtime_1.jsxs(ink_1.Text, { children: [jsx_runtime_1.jsx(ink_1.Text, { children: filePath.substr(0, matchStartIndex) }, void 0),
                        jsx_runtime_1.jsx(ink_1.Text, Object.assign({ strikethrough: true }, { children: searchColor `${match}` }), void 0),
                        jsx_runtime_1.jsx(ink_1.Text, Object.assign({ color: "green" }, { children: replaceColor `${replace}` }), void 0),
                        jsx_runtime_1.jsx(ink_1.Text, { children: filePath.substr(matchStartIndex + match.length) }, void 0)] }, filePath));
            })
                .slice(0, maxMonitorHeight)] }, void 0));
};
exports.Monitor = Monitor;
