"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.execute = void 0;
const fs_extra_1 = __importDefault(require("fs-extra"));
const getFiles_1 = require("./getFiles");
const execute = async ({ pattern, search, replace, dry, }) => {
    const files = await getFiles_1.getFiles(pattern);
    files.forEach((filePath) => {
        const searchRegexp = new RegExp(search);
        const result = searchRegexp.exec(filePath);
        if (result) {
            const newPath = filePath.replace(searchRegexp, replace);
            if (newPath === filePath)
                return;
            if (!dry) {
                fs_extra_1.default.moveSync(filePath, newPath);
            }
            else {
                console.log(`${filePath} -> ${newPath}`);
            }
        }
    });
};
exports.execute = execute;
