"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.memoize = exports.replaceElement = void 0;
const replaceElement = (arr, index, el) => {
    arr.splice(index, 1, el);
    return arr;
};
exports.replaceElement = replaceElement;
const memoize = (func) => {
    const memory = new Map();
    const newFunc = (...args) => {
        if (!memory.get(args.join())) {
            memory.set(args.join(), func(...args));
        }
        return memory.get(args.join());
    };
    return newFunc;
};
exports.memoize = memoize;
